# Uses of Class
javax.swing.RepaintManager

Packages that use RepaintManager
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of RepaintManager in javax.swing

Methods in javax.swing that return RepaintManager
Modifier and Type
Method
Description
`static RepaintManager`
RepaintManager.`currentManager(Component c)`
Return the RepaintManager given a Component.
`static RepaintManager`
RepaintManager.`currentManager(JComponent c)`
Return the RepaintManager for the calling thread given a JComponent.
Methods in javax.swing with parameters of type RepaintManager
Modifier and Type
Method
Description
`static void`
RepaintManager.`setCurrentManager(RepaintManager aRepaintManager)`
Set the RepaintManager.